import { JavaObject } from '../../../java/lang/JavaObject';
export declare class SchuelerLernabschnittListeEintrag extends JavaObject {
    id: number;
    schuelerID: number;
    schuljahresabschnitt: number;
    wechselNr: Number | null;
    istGewertet: boolean;
    istWiederholung: boolean;
    pruefungsOrdnung: String;
    klassenID: number;
    klasse: String;
    klasseStatistik: String;
    jahrgangID: number;
    jahrgang: String;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchuelerLernabschnittListeEintrag;
    static transpilerToJSON(obj: SchuelerLernabschnittListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<SchuelerLernabschnittListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schueler_SchuelerLernabschnittListeEintrag(obj: unknown): SchuelerLernabschnittListeEintrag;
